Subject: bug#40966: closed (Re: bug#40966: Missing substitutes on ci.guix.gnu.org?)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Aug 2021 17:20:02 +0000

Your bug report

#40966: Missing substitutes on ci.guix.gnu.org?

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40966: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40966
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40966: Missing substitutes on ci.guix.gnu.org?
From: Leo Famulari <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked]
Date: Sun, 8 Aug 2021 13:19:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Aug 08, 2021 at 12:19:07AM -0400, Maxim Cournoyer wrote:
> Do you still encounter these issues with current Cuirass?
> 
> If not, let's close this issue!

I don't think so, and I think Cuirass has changed enough that any
similar problem would have a different cause. Closing...

Subject: Missing substitutes on ci.guix.gnu.org?
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Wed, 29 Apr 2020 13:53:39 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I've noticed that certain packages never seem to have substitutes
available from ci.guix.gnu.org.

This is not about packages that consistently fail to build, like Vigra
(LibreOffice) [0], but packages that never seem to be attempted at all,
and are not found when searching on the CI results.

For example, ncmpcpp has not been built since February 2020:

https://ci.guix.gnu.org/search?query=spec%3Aguix-master+system%3Ax86_64-linux+ncmpcpp

And Borg has apparently never been built:

https://ci.guix.gnu.org/search?query=spec%3Aguix-master+system%3Ax86_64-linux+borg

By the way, the dates that are shown in this interface do not display
the year (can we fix that?):

https://ci.guix.gnu.org/build/2275489/details

[0] <https://bugs.gnu.org/40887>